QuantLib: ASX Struct Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Static Public Member Functions | List of all members
ASX Struct Reference

Main cycle of the Australian Securities Exchange (a.k.a. ASX) months. More...

`#include <ql/time/asx.hpp>`

## Public Types
enum | Month { F = 1, G = 2, H = 3, J = 4, K = 5, M = 6, N = 7, Q = 8, U = 9, V = 10, X = 11, Z = 12 }

## Static Public Member Functions
static bool | isASXdate (const Date &d, bool mainCycle=true)
| returns whether or not the given date is an ASX date
static bool | isASXcode (const std::string &in, bool mainCycle=true)
| returns whether or not the given string is an ASX code
static std::string | code (const Date &asxDate)
static Date | date (const std::string &asxCode, const Date &referenceDate=Date())
static Date | nextDate (const Date &d=Date(), bool mainCycle=true)
| next ASX date following the given date More...
static Date | nextDate (const std::string &asxCode, bool mainCycle=true, const Date &referenceDate=Date())
| next ASX date following the given ASX code More...
static std::string | nextCode (const Date &d=Date(), bool mainCycle=true)
| next ASX code following the given date More...
static std::string | nextCode (const std::string &asxCode, bool mainCycle=true, const Date &referenceDate=Date())
| next ASX code following the given code More...

## Detailed Description

Main cycle of the Australian Securities Exchange (a.k.a. ASX) months.

## Member Function Documentation

## ◆ code()

static std::string code | ( | const Date & | asxDate | ) |
| static

returns the ASX code for the given date (e.g. M5 for June 12th, 2015).

Warning:
  It raises an exception if the input date is not an ASX date

## ◆ date()

static Date date | ( | const std::string & | asxCode,
|  | const Date & | referenceDate = `Date()`
| ) |  |
| static

returns the ASX date for the given ASX code (e.g. June 12th, 2015 for M5).

Warning:
  It raises an exception if the input string is not an ASX code

## ◆ nextDate() [1/2]

static Date nextDate | ( | const Date & | d = `Date()`,
|  | bool | mainCycle = `true`
| ) |  |
| static

next ASX date following the given date

returns the 1st delivery date for next contract listed in the Australian Securities Exchange.

## ◆ nextDate() [2/2]

static Date nextDate | ( | const std::string & | asxCode,
|  | bool | mainCycle = `true`,
|  | const Date & | referenceDate = `Date()`
| ) |  |
| static

next ASX date following the given ASX code

returns the 1st delivery date for next contract listed in the Australian Securities Exchange

## ◆ nextCode() [1/2]

static std::string nextCode | ( | const Date & | d = `Date()`,
|  | bool | mainCycle = `true`
| ) |  |
| static

next ASX code following the given date

returns the ASX code for next contract listed in the Australian Securities Exchange

## ◆ nextCode() [2/2]

static std::string nextCode | ( | const std::string & | asxCode,
|  | bool | mainCycle = `true`,
|  | const Date & | referenceDate = `Date()`
| ) |  |
| static

next ASX code following the given code

returns the ASX code for next contract listed in the Australian Securities Exchange